Subject: [scim] Proposal to create a design team

From: "Morteza Ansari (moransar)" <[email-masked]>
Date: Wed, 10 Oct 2012 20:34:29 +0000

Hi Folks,

To expedite getting to a straw man proposal, we propose the creation of a design team to get the work rolling. We have a few volunteers already signed up:

Trey Drake, Kelly Grizzle, Phil Hunt, Anthony Nadalin, and Melinda

If anyone else is interested in joining the design team and contributing please let us know. The expectation is that the design team will put a concentrated effort into creating the initial straw man proposal for discussions by the larger working group.

If anyone is violently opposed to this plan, please say so right now. Silence counts as acceptance in this case. To learn about the concept
of design teams in the IETF read RFC 2418 (section 6.5).

Cheers,
Morteza & Leif

---

From: Erik Wahlström <[email-masked]>
Date: Wed, 10 Oct 2012 21:08:52 +0000

If anyone else is interested in joining the design team and contributing please let us know.

Sure thing.

Cheers
Erik Wahlström

On Oct 10, 2012, at 10:34 PM, Morteza Ansari (moransar) wrote:

Hi Folks,

Cheers,
Morteza & Leif
_______________________________________________
scim mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/scim

---

From: Dale Olds <[email-masked]>
Date: Wed, 10 Oct 2012 14:28:35 -0700

I'd like to participate. If nothing else, I can at least argue with Tony 
so everyone else can get work done.

--Dale

On 10/10/2012 01:34 PM, Morteza Ansari (moransar) wrote:
> Hi Folks,
>
> To expedite getting to a straw man proposal, we propose the creation 
> of a design team to get the work rolling. We have a few volunteers 
> already signed up:
>
> If anyone else is interested in joining the design team and 
> contributing please let us know. The expectation is that the design 
> team will put a concentrated effort into creating the initial straw 
> man proposal for discussions by the larger working group.
>
> If anyone is violently opposed to this plan, please say so right now. 
> Silence counts as acceptance in this case. To learn about the concept
> [email-masked]

---

From: Hasini Gunasinghe <[email-masked]>
Date: Thu, 11 Oct 2012 05:06:16 +0530

On Thu, Oct 11, 2012 at 2:38 AM, Erik Wahlström <
[email-masked]> wrote:

> contributing please let us know.
>
> +1. I would like to join.

Thanks,
Hasini.

>  To expedite getting to a straw man proposal, we propose the creation of
> a design team to get the work rolling. We have a few volunteers already
> signed up:
>
>  If anyone else is interested in joining the design team and contributing
> please let us know. The expectation is that the design team will put a
> concentrated effort into creating the initial straw man proposal for
> discussions by the larger working group.
>
>  If anyone is violently opposed to this plan, please say so right now. Silence
> counts as acceptance in this case. To learn about the concept

---

From: Daniel Park <[email-masked]>
Date: Thu, 11 Oct 2012 10:00:25 +0900

Good to see that activity. If allowed, I would like to join with the device
vendor's perspective in Cloud Service.

Daniel

-- 
*Soohong Daniel Park*
Cloud Computing Lab, Samsung

---

From: Likepeng <[email-masked]>
Date: Thu, 11 Oct 2012 01:21:28 +0000

I would like to join.

Thanks,
Kind Regards
Kepeng

发件人: [email-masked] [mailto:[email-masked]] 代表 Morteza Ansari (moransar)
发送时间: 2012年10月11日 4:34
收件人: [email-masked]
主题: [scim] Proposal to create a design team

Hi Folks,

Cheers,
Morteza & Leif

---

From: Charliemortimore <[email-masked]>
Date: Wed, 10 Oct 2012 19:43:57 -0700

I'm in.

- cmort

---

From: Samuel Erdtman <[email-masked]>
Date: Thu, 11 Oct 2012 08:12:16 +0200

I'm in.

//Samuel

On Wed, Oct 10, 2012 at 10:34 PM, Morteza Ansari (moransar)
<[email-masked]> wrote:
> Hi Folks,
>
> To expedite getting to a straw man proposal, we propose the creation of a
> design team to get the work rolling. We have a few volunteers already signed
> up:
>

---

From: Hannes Tschofenig <[email-masked]>
Date: Thu, 11 Oct 2012 10:02:28 +0300

Hi chairs,

Are we talking about this document: 
http://datatracker.ietf.org/doc/draft-ietf-scim-api/

Looks like a strawman proposal to me already right now.

Ciao
Hannes

---

From: Leif Johansson <[email-masked]>
Date: Thu, 11 Oct 2012 11:31:07 +0200

> Looks like a strawman proposal to me already right now.

We are talking about a strawman for the next major revision of
that document and the schema document.

It is great to see so many are willing to participate. Please
note that participation in a design-team requires active
participation and time comittment.

	Best R
	Leif

---

From: Eliot Lear <[email-masked]>
Date: Thu, 18 Oct 2012 17:32:35 +0200

Leif, Morteza,

I'm sorry to be a stick in the mud, but I don't understand the objective
of this design team.  Let's start with an easy question:

  * What work are they supposed to do?  What issues are they supposed to
    address?

Put another way, I was not of the understanding that what is posted is a
strawman, but based on running code.  If there is running code, it seems
to me that the onus is on those in the WG to state issues.  There are a
number, as I understand it.  A design team is necessary when something
needs to be designed.  What here needs to be designed

Now to answer my question in part, there is this dangling reference to
ServiceProviderConfigs.  Is that needed or should it be removed?

I guess what I'm asking for is just a bit more scope, please.

Eliot

---

From: Peter Saint-Andre <[email-masked]>
Date: Thu, 18 Oct 2012 09:34:21 -0600

On 10/18/12 9:32 AM, Eliot Lear wrote:
> Leif, Morteza,
> 
> I'm sorry to be a stick in the mud, but I don't understand the
> objective of this design team.

And given that half of the semi-active WG participants seem to have
volunteered to be on the design team, we might consider just doing the
work in the WG as a whole. :-)

Peter

- -- 
Peter Saint-Andre
https://stpeter.im/

---

From: Melinda Shore <[email-masked]>
Date: Thu, 18 Oct 2012 08:37:01 -0800

> work in the WG as a whole. :-)

I'd be a little surprised if half the volunteers for the design team
actually do end up writing text, etc.  There's a general problem of how
to progress work in the IETF, since it seems like we're getting less
done between meetings and seem to have morphed into a meeting-driven
organization.  I really don't like interims, since (among
other things) I think reliance on them tends to exclude smaller
companies with crappy travel budgets from the process, and that's not
okay.  Design teams with regular calls can achieve much the same thing
as an interim meeting, and as long as the process is transparent
there's little risk of taking the work in a direction the group would
otherwise not support.  I agree there needs to be clear - and
specific - goals, though.

Melinda

---

From: Igor Faynberg <[email-masked]>
Date: Thu, 18 Oct 2012 13:16:45 -0400

I tend to stick to Eliot- the-Stick-in-the-Mud's principle on that 
issue, but my questions are from the other end of spectrum.

   The precedence is such as that a design team can be created either 1) 
outside of a working group (as was the case of  the SIN design team 12 
years ago) or  2) as part of a working group (what with SIP WG design 
teams).

  I take it that the proposal is for the case 2, but so far we seem to 
have a fairly small group, vis-a-vis that gigantic SIP WG, whose sheer 
size necessitated parallelism. And hence question is why a separate 
subset group is needed at all.  Of course,  people may have specific 
interests, and nothing prevents them from forming a special interest 
group, writing drafts and getting them through the WG process.

In short, what privileges will the official /design team /have in the 
process vs. a typical de-facto design team?

Igor

On 10/18/2012 11:32 AM, Eliot Lear wrote:
> objective of this design team.  Let's start with an easy question:
>
>     * What work are they supposed to do?  What issues are they
>       supposed to address?
>
> Put another way, I was not of the understanding that what is posted is 
> a strawman, but based on running code.  If there is running code, it 
> seems to me that the onus is on those in the WG to state issues.  
> There are a number, as I understand it.  A design team is necessary 
> when something needs to be designed.  What here needs to be designed
>

---

From: Igor Faynberg <[email-masked]>
Date: Thu, 18 Oct 2012 13:17:44 -0400

Yes!

Igor

On 10/18/2012 11:34 AM, Peter Saint-Andre wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
>
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG/MacGPG2 v2.0.18 (Darwin)
> Comment: Using GnuPG with Mozilla - http://www.enigmail.net/
>
> iEYEARECAAYFAlCAIX0ACgkQNL8k5A2w/vyvTgCgzjkCMuFsZ3sxUYQGpvcSoJ0S
> vdcAnA9ym3jjESmIFUEAuw3WSd3qffTZ
> =QhVh
> -----END PGP SIGNATURE-----

---

From: Hannes Tschofenig <[email-masked]>
Date: Thu, 18 Oct 2012 20:25:47 +0300

Hi Igor,

I am not sure what you mean. Here is what the IESG says about design 
teams: http://www.ietf.org/iesg/statement/design-team.html

Ciao
Hannes

PS: Btw, although http://www.ietf.org/iesg/statement/design-team.html 
says that
"
The key point here is that the output of a design team is input to a 
working group, not a final document.
"
I think it is a rather theoretical statement.

I have been involved in about 20 design teams and I have never had the 
case where the output of the design team was rejected by the group.

On 10/18/2012 08:16 PM, Igor Faynberg wrote:
>>   * What work are they supposed to do?  What issues are they supposed
>>     to address?
>>

---

From: Phil Hunt <[email-masked]>
Date: Thu, 18 Oct 2012 11:23:13 -0700

All these points and more were discussed on the con call last Wednesday.  The chairs did a great job and more importantly they reported back to the WG.

I don't see a problem here.

Phil

@independentid
www.independentid.com
[email-masked]

On 2012-10-18, at 10:25 AM, Hannes Tschofenig wrote:

> Hi Igor,
> 
> I am not sure what you mean. Here is what the IESG says about design teams: http://www.ietf.org/iesg/statement/design-team.html
> 
> Ciao
> Hannes
> 
> PS: Btw, although http://www.ietf.org/iesg/statement/design-team.html says that
> "
> The key point here is that the output of a design team is input to a working group, not a final document.
> "
> I have been involved in about 20 design teams and I have never had the case where the output of the design team was rejected by the group.
>

---

From: Igor Faynberg <[email-masked]>
Date: Thu, 18 Oct 2012 16:20:21 -0400

Yes, I am quite familiar with RFC 2418. In fact, I was involved in 
creation of one of the earlier design teams.  I hope then that it is 
clear that I am not agitating against the concept. Nor am I really 
agitating for anything, period.

My point was that design teams make sense either when they exist either 
outside of any WG  or in big groups where several of them tackle 
different matters *in parallel*.  If SCIM has only one design team, this 
situation is indistinguishable to me from the one where there is no 
design team at all.

My only question is : If there is a difference, where is it?

Igor

On 10/18/2012 1:25 PM, Hannes Tschofenig wrote:
> ...

---

From: Leif Johansson <[email-masked]>
Date: Fri, 19 Oct 2012 08:48:06 +0200

18 okt 2012 kl. 17:32 skrev Eliot Lear <[email-masked]>:

> Leif, Morteza,
> 
> I'm sorry to be a stick in the mud, but I don't understand the objective of this design team.  Let's start with an easy question:
> What work are they supposed to do?  What issues are they supposed to address?
> Put another way, I was not of the understanding that what is posted is a strawman, but based on running code.  If there is running code, it seems to me that the onus is on those in the WG to state issues.  There are a number, as I understand it.  A design team is necessary when something needs to be designed.  What here needs to be designed
> 

The chairs believe that the scim comminity see a need for a version 2.0 that involve more than minor incremental changes from what we have now. In our opinion a design team will help the wg start to converge more quickly. 

The chairs also fully expect the group to be reduced in size very quckly as it was clear on the first call that all who volunteered were not actually able to spend the time.

In the meantime please continue identifying issues!

> Now to answer my question in part, there is this dangling reference to ServiceProviderConfigs.  Is that needed or should it be removed?

---

From: Leif Johansson <[email-masked]>
Date: Fri, 19 Oct 2012 08:59:20 +0200

On 10/18/2012 05:32 PM, Eliot Lear wrote:
> Put another way, I was not of the understanding that what is
> posted is a strawman, but based on running code.  If there is
> running code, it seems to me that the onus is on those in the WG to
> state issues.  There are a number, as I understand it.  A design
> team is necessary when something needs to be designed.  What here
> needs to be designed
> 

I'm not sure if the email I send from my ipad is getting through so
forgive me if this (approximate) reply appears twice on the list.

The chairs believe that the SCIM WG are having trouble getting
started because there is a perceived need for non-trivial changes
in a "SCIM 2.0" relative to what we have in the current published
documents.

The purpose of a design team is to help the WG start that discussion
more quickly.

The chairs expect the design team to "right-size" itself very quickly
since on the first call (which was *NOT* an IETF activity) it became
clear that many who volunteered did not expect to be called on to do
actual work.

As with all design teams the intent is to produce a draft and present
it to the WG for discussion.

The chairs are there to make sure this happens.

I hope this helps to clear things up.

	Leif

---

From: Leif Johansson <[email-masked]>
Date: Fri, 19 Oct 2012 09:06:52 +0200

On 10/18/2012 05:34 PM, Peter Saint-Andre wrote:
> And given that half of the semi-active WG participants seem to
> have volunteered to be on the design team, we might consider just
> doing the work in the WG as a whole. :-)

As I said in an other mail just now: I don't expect the design team
to stay this size. If it did then you'd have a very good point.

	MVH leifj

---

From: Hannes Tschofenig <[email-masked]>
Date: Fri, 19 Oct 2012 10:48:09 +0300

I would like to be part of the design team. 
Without being on the design team it seems impossible to get to know what is going on. 

On Oct 19, 2012, at 9:59 AM, Leif Johansson wrote:

> Version: GnuPG v1.4.11 (GNU/Linux)
> iEYEARECAAYFAlCA+kQACgkQ8Jx8FtbMZnfH9gCgnxxndl0bN0hKLO9gfh8nx6M8
> AYkAnjRC9l0MTGSpQzVHIPXw/OZ8tziF
> =PyWd

---

From: Leif Johansson <[email-masked]>
Date: Fri, 19 Oct 2012 09:51:21 +0200

fine, are you willing and able to put in a substantive effort involving a few hrs work per week?

---

From: Michael Hammer <[email-masked]>
Date: Fri, 19 Oct 2012 13:11:20 +0000

Leif,

If you knew Hannes, you would know how funny that question sounds.
I don't think I know anyone more prolific.

Mike

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Leif
Johansson
Sent: Friday, October 19, 2012 3:51 AM
To: Hannes Tschofenig
Cc: [email-masked]; Eliot Lear
Subject: Re: [scim] Proposal to create a design team

fine, are you willing and able to put in a substantive effort involving a
few hrs work per week?

19 okt 2012 kl. 09:48 skrev Hannes Tschofenig <[email-masked]>:

>>> Put another way, I was not of the understanding that what is posted 
>>> is a strawman, but based on running code.  If there is running code, 
>>> it seems to me that the onus is on those in the WG to state issues.  
>> started because there is a perceived need for non-trivial changes in 
>> a "SCIM 2.0" relative to what we have in the current published 
>> documents.
>>

---

From: Leif Johansson <[email-masked]>
Date: Fri, 19 Oct 2012 15:46:18 +0200

> I don't think I know anyone more prolific.

Me and Hannes know each other well :-)

The question however was not made in jest. Knowing just how much
time Hannes spends I'm curious about his ability to spend more.

	Cheers Leif

---

From: Pam Dingle <[email-masked]>
Date: Fri, 19 Oct 2012 12:49:31 -0700

As someone who tracks this WG solely through the mailing list, I am
confused. In going through the mailing list archives, I do not see a
documented set of conversations that would directly lead me to the
conclusion that this working group as a whole has perceived that
significant changes must be made prior to a 2.0 SCIM release. It seems like
these decisions were made on a conference call, but I don't see any notes
from that conference call, assuming the call happened recently.

Could somebody just catch us up and start a new thread with a brief summary
of what exact non-trivial work has been identified as necessary prior to a
2.0 release?

My apologies if this is crystal clear to everybody else.

Thanks,

Pamela

On Fri, Oct 19, 2012 at 6:46 AM, Leif Johansson <[email-masked]> wrote:

> iEYEARECAAYFAlCBWakACgkQ8Jx8FtbMZnfH+QCguS6aqfRqgTattU3q1cmXUwH1
> LEQAn0DVwLCOQqN5Js5q8MnrRkACz5pG
> =lNAp

-- 
*Pamela Dingle*  |  Sr. Technical Architect
*Ping**Identity*  |   www.pingidentity.com
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
- -
*O:* 303-999-5890   *M:* 303-999-5890
*Email:* [email-masked]
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
- -
*Connect with Ping*
Twitter: @pingidentity
LinkedIn Group: Ping's Identity Cloud
Facebook.com/pingidentitypage
*Connect with me*
Twitter: @pamelarosiedee

---

From: Leif Johansson <[email-masked]>
Date: Sat, 20 Oct 2012 14:07:49 +0200

19 okt 2012 kl. 21:49 skrev Pam Dingle <[email-masked]>:

> As someone who tracks this WG solely through the mailing list, I am confused. In going through the mailing list archives, I do not see a documented set of conversations that would directly lead me to the conclusion that this working group as a whole has perceived that significant changes must be made prior to a 2.0 SCIM release. It seems like these decisions were made on a conference call, but I don't see any notes from that conference call, assuming the call happened recently. 

Those discussions happened at the first
wg meeting (at the last IETF).

Like any group or individual who decide
to propose something to a wg, this design
ream will produce I-Ds that the wg will
choose to adopt or not.

The purpose of this exercise is to get a
focused technical discussion started, not
to end or preempt one.

> 
> Could somebody just catch us up and start a new thread with a brief summary of what exact non-trivial work has been identified as necessary prior to a 2.0 release?  

There is some good starting points in the
presentations that Phil and Kelly made 
in Vancouver. 

> My apologies if this is crystal clear to everybody else.  

My appologies for clearly not beeing clear
enough on this issue.

Leif

> Pamela Dingle  |  Sr. Technical Architect
> PingIdentity  |   www.pingidentity.com
> - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
> O: 303-999-5890   M: 303-999-5890
> Email: [email-masked]
> - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
> Connect with Ping
> Twitter: @pingidentity
> Connect with me

---

From: Eliot Lear <[email-masked]>
Date: Sun, 21 Oct 2012 10:53:52 +0200

Leif,

Now I am even MORE confused.  Please see below:

> ream will produce I-Ds that the wg will

I don't understand.  How would such drafts relate to the existing wg drafts?

>> Could somebody just catch us up and start a new thread with a brief
summary of what exact non-trivial work has been identified as necessary
prior to a 2.0 release?
> presentations that Phil and Kelly made

Again (and again), could you kindly be more specific?  I looked at those
presentations and the minutes and saw nothing in Kelly's presentation
that seemed like a question.  Phil has identified issues, but they seem
incremental.  I don't see Phil's presentation posted, and what I see
from the minutes is this:

> . should directories evolve to support scim? Also, directory vendors
>   getting requests for rest interfaces.  Will scim be the next
>   *directory* interface?
>
> . things impacting path uris: tenancy, targeting, "users" is too
>   general, object types ay expand, ability to query for any object
>   under /
>
> . the current search is under 'get' only - security concerns.  ability
>   to query using post?
>
> . rest "minimum" profile
>
> . add and replace - why not combine in put?  minor difference is
>   resource identifier
>
> . why not rework post to accommodate query and bulk?  What's classic
>   REST?

And then a few items from others:
> Jon Bradley: PUT and POST are not the same.  we should probably try to
> fix the semantics rather than bend them.  keep the rest semantics
> clear.  
>
> Kent Watson: idempotence.
>
> Tony Nadalin:  agree on resource type.  shouldn't be in the uri.
> Looking at spec, don't see how to do multitenancy correctly with the
> urn path that's in there.  Okay place to start but shouldn't rush to
> put out 1.1 lest people adhere to that

And then the biggie raised by multiple people, but most notably Hannes
and Paul:
> axe xml[...]

So... are these issues the scope for the design team?  And it would seem
to me that their output should be a bunch of proposals to change the
existing drafts, right?

Eliot

---

From: Leif Johansson <[email-masked]>
Date: Sun, 21 Oct 2012 12:57:12 +0200

> I don't understand.  How would such drafts relate to the existing

Ok bad choice of words.

What I meant to say was that the output of a design team doesn't
automatically get adopted by a WG.

_If_ they choose to write an I-D (say an I-D summarizing some
proposed changes) as input to the WG then that I-D doesn't
automatically get adopted.

I'm sorry if that was confusing.

> 
>> 
>> The purpose of this exercise is to get a focused technical
>> discussion started, not to end or preempt one.
>> 
>>> 
> summary of what exact non-trivial work has been identified as
> necessary prior to a 2.0 release?
>> 
>> There is some good starting points in the presentations that Phil
>> and Kelly made in Vancouver.
> 
> Again (and again), could you kindly be more specific?  I looked at
> those presentations and the minutes and saw nothing in Kelly's
> presentation that seemed like a question.  Phil has identified
> issues, but they seem incremental.  I don't see Phil's presentation
> posted, and what I see from the minutes is this:

Fair points but they should be answered by Kelly and Phil and others
who raised issues at the mic in Vancouver.

> 
>> . should directories evolve to support scim? Also, directory
>> vendors getting requests for rest interfaces.  Will scim be the
>> next *directory* interface?
>> 
>> . the current search is under 'get' only - security concerns.
>> ability to query using post?
>> 
>> . rest "minimum" profile
>> 
>> . why not rework post to accommodate query and bulk?  What's
>> classic REST?
> 
>> Jon Bradley: PUT and POST are not the same.  we should probably
>> try to fix the semantics rather than bend them.  keep the rest
>> semantics clear.
>> 
>> Looking at spec, don't see how to do multitenancy correctly with
>> the urn path that's in there.  Okay place to start but shouldn't
>> rush to put out 1.1 lest people adhere to that
> 

This issue is an example of something that actually _may_ require a bit
of redesign.

> 
> And then the biggie raised by multiple people, but most notably
> Hannes and Paul:
>> axe xml[...]

as is this...

This list is a pretty good summary of what has been raised so far.

> 
> So... are these issues the scope for the design team?  And it would
> seem to me that their output should be a bunch of proposals to
> change the existing drafts, right?

I hope so.

	Cheers Leif